Patches for aports can be sent to this list

1

[alpine-aports] [PATCH] testing/php7-uuid: PHP7 UUID package

Fabio da Silva Ribeiro
Details
Message ID
<1460028170-24376-1-git-send-email-silva.ribeiro@dafiti.com.br>
Sender timestamp
1460028170
DKIM signature
missing
Download raw message
Patch: +37 -0
---
 testing/php7-uuid/APKBUILD | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)
 create mode 100644 testing/php7-uuid/APKBUILD

diff --git a/testing/php7-uuid/APKBUILD b/testing/php7-uuid/APKBUILD
new file mode 100644
index 0000000..ff1ac28
--- /dev/null
+++ b/testing/php7-uuid/APKBUILD
@@ -0,0 +1,37 @@
+# Contributor: Fabio Ribeiro <fabiorphp@gmail.com>
+# Maintainer: Fabio Ribeiro <fabiorphp@gmail.com>
+pkgname=php7-uuid
+_pkgreal=uuid
+pkgver=1.0.4
+_pkgver=${pkgver}
+pkgrel=0
+pkgdesc="A wrapper around libuuid from the ext2utils project."
+url="http://pecl.php.net/package/$_pkgreal"
+arch="x86_64 armhf"
+license="PHP"
+depends=
+pecldepends="php7-dev autoconf util-linux-dev"
+makedepends="$pecldepends"
+install=""
+subpackages=""
+source="http://pecl.php.net/get/$_pkgreal-$_pkgver.tgz"
+
+builddir="$srcdir"/$_pkgreal-$_pkgver
+
+build() {
+	cd "$builddir"
+	phpize7 || return 1
+	./configure --prefix=/usr --with-php-config=php-config7 || return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make INSTALL_ROOT="$pkgdir"/ install || return 1
+	install -d "$pkgdir"/etc/php7/conf.d || return 1
+	echo "extension=$_pkgreal.so" > "$pkgdir"/etc/php7/conf.d/50_$_pkgreal.ini
+}
+
+md5sums="1695511daf585fcaf7816a401a6216f6  uuid-1.0.4.tgz"
+sha256sums="63079b6a62a9d43691ecbcd4eb52e5e5fe17b5a3d0f8e46e3c17ff265c06a11f  uuid-1.0.4.tgz"
+sha512sums="989d993f8158a13026b8e5c02f4aa50489b1a946d12da81dd1fff6091839a45b180562f74c8af368a498c495477374ec9e1d536e7de0178c1f288e3abe360164  uuid-1.0.4.tgz"
-- 
2.5.0


-- 
***

Esta mensagem, incluindo seus anexos, pode conter informações confidenciais 
e/ou privilegiadas. Se você não for a pessoa autorizada a receber esta 
mensagem, não pode usar, copiar ou divulgar as informações nela contidas ou 
tomar qualquer ação baseada nessas informações. Caso esta mensagem tenha 
sido recebida por engano, por favor avise imediatamente o remetente, 
respondendo o e-mail e em seguida elimine-a do seu sistema. Agradecemos sua 
cooperação.

This message, including any attachments, may contain confidential and/or 
privileged information. If you are not the addressee or authorized to 
receive this for the addressee, you must not use, copy, disclose or take 
any action based on this message or any information herein. If you have 
received this message in error, please advise the sender immediately by 
reply e-mail and delete this message.Thank you for your cooperation


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Timo Teras
Details
Message ID
<20160419164840.2ebc02c5@vostro.util.wtbts.net>
In-Reply-To
<1460028170-24376-1-git-send-email-silva.ribeiro@dafiti.com.br> (view parent)
Sender timestamp
1461073720
DKIM signature
missing
Download raw message
Hi,

I applied all the pending php7-* modules now. I changed the arch to all
while at it.

Thanks!

Minor detail I noticed after the push, is that most of these modules
have the tarball named according to the upstream project. It might
conflict in the tar cache we have. So perhaps it would be good to
change the downloaded filename. That is in sources have something like:
  $pkgname-$_pkgver.tgz::http://pecl.php.net/get/$_pkgreal-$_pkgver.tgz

Seems I did this for the redis and memcached modules earlier.

Thanks again,
Timo

On Thu,  7 Apr 2016 08:22:50 -0300
Fabio da Silva Ribeiro <silva.ribeiro@dafiti.com.br> wrote:

> ---
>  testing/php7-uuid/APKBUILD | 37 +++++++++++++++++++++++++++++++++++++
>  1 file changed, 37 insertions(+)
>  create mode 100644 testing/php7-uuid/APKBUILD
> 
> diff --git a/testing/php7-uuid/APKBUILD b/testing/php7-uuid/APKBUILD
> new file mode 100644
> index 0000000..ff1ac28
> --- /dev/null
> +++ b/testing/php7-uuid/APKBUILD
> @@ -0,0 +1,37 @@
> +# Contributor: Fabio Ribeiro <fabiorphp@gmail.com>
> +# Maintainer: Fabio Ribeiro <fabiorphp@gmail.com>
> +pkgname=php7-uuid
> +_pkgreal=uuid
> +pkgver=1.0.4
> +_pkgver=${pkgver}
> +pkgrel=0
> +pkgdesc="A wrapper around libuuid from the ext2utils project."
> +url="http://pecl.php.net/package/$_pkgreal"
> +arch="x86_64 armhf"
> +license="PHP"
> +depends=
> +pecldepends="php7-dev autoconf util-linux-dev"
> +makedepends="$pecldepends"
> +install=""
> +subpackages=""
> +source="http://pecl.php.net/get/$_pkgreal-$_pkgver.tgz"
> +
> +builddir="$srcdir"/$_pkgreal-$_pkgver
> +
> +build() {
> +	cd "$builddir"
> +	phpize7 || return 1
> +	./configure --prefix=/usr --with-php-config=php-config7 ||
> return 1
> +	make || return 1
> +}
> +
> +package() {
> +	cd "$builddir"
> +	make INSTALL_ROOT="$pkgdir"/ install || return 1
> +	install -d "$pkgdir"/etc/php7/conf.d || return 1
> +	echo "extension=$_pkgreal.so" >
> "$pkgdir"/etc/php7/conf.d/50_$_pkgreal.ini +}
> +
> +md5sums="1695511daf585fcaf7816a401a6216f6  uuid-1.0.4.tgz"
> +sha256sums="63079b6a62a9d43691ecbcd4eb52e5e5fe17b5a3d0f8e46e3c17ff265c06a11f
> uuid-1.0.4.tgz"
> +sha512sums="989d993f8158a13026b8e5c02f4aa50489b1a946d12da81dd1fff6091839a45b180562f74c8af368a498c495477374ec9e1d536e7de0178c1f288e3abe360164
> uuid-1.0.4.tgz"



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---